Subject: Re: [PATCH 0/5 v2] Worktree/Gitdir at root directory

From: João Carlos Mendes Luís <[email-masked]>
Date: Fri, 12 Feb 2010 11:05:45 -0200

Johannes Sixt wrote:
> Nguyễn Thái Ngọc Duy schrieb:
>> So here we go again. Changes are:
>>
>>  - Support DOS drives as root path (Thanks Hannes)
>>  - Fix one "broken" test that I was too lazy to do last time
>>  - t1509-root-worktree.sh will refuse to run under root permission
>>
>> I did not test it on Windows, so an Ack from someone who actually 
>> tests it on Windows
>> is really appreciated.
>
> I don't see any regressions in may tests on Windows, but I actually 
> don't know what to test (the chroot test doesn't work on Windows). I 
> did test on the root of a partition
>
>    T:\> git init
>    T:\> cd foo
>    T:\foo> git add bar
>
> and it works as expected.

Beware: My first proposed patch "worked" at this level, but failed 
completely when I wanted to commit.   Try more operations just to be sure.

The auto test routines include a ram-disk creation, for windows case, 
but I'm not sure how portable this would be.